Unit FDE47R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure FDE47R(X :Real; var Y :Array of Real;
                var DY :Array of Real; var Z :Array of Real;
                M :Integer);
implementation

procedure FDE47R(X :Real; var Y :Array of Real;
                var DY :Array of Real; var Z :Array of Real;
                M :Integer);
begin
Z[0] := 0.5*(Y[1]+DY[0]-Y[0]+DY[1])-0.5;
Z[1] := Y[0]-0.5*X;
end;

end.
